echo off
rem script for running example code
if "%1" == "" goto :help 

cls
if "%1" == "1" echo Starting MIB-II agent & java -jar lib/mib2agent.jar
if "%1" == "2" echo Starting IF-MIB agent & java -jar lib/ifmibagent.jar
if "%1" == "3" echo Starting master agent & java -jar lib/masteragent.jar
if "%1" == "4" echo Starting subagent & java -jar lib/subagent.jar
if "%1" == "5" echo Starting multihome example. ipAddress fields in config/If1SnmpAgent.xml, config/If2SnmpAgent.xml and config/MultiHomeSnmpAgent.xml need to be modified. Each ipAddress field should map to an IP address on your computer.  & java -jar lib/multihome.jar

goto :exit
:help
cls
echo Usage: runexample [1-5]
echo e.g. runexample 1
echo 1: mib2 agent
echo 2: if-mib agent
echo 3: master agent
echo 4: sub agent
echo 5: multi-homed agent example
echo Note: ./config/SnmpAgent.xml must exist!
:exit
